class Theme:
    def __init__(self, **colors):
        for name, value in colors.items():
            setattr(self, name, value)


themes = {
    "spacegray": Theme(
        bg="#2b303b",
        bg_alt="#232830",
        base0="#1B2229",
        base1="#1c1f24",
        base2="#202328",
        base3="#2F3237",
        base4="#4f5b66",
        base5="#65737E",
        base6="#73797e",
        base7="#9ca0a4",
        base8="#DFDFDF",
        fg="#c0c5ce",
        fg_alt="#c0c5ce",
        grey="#4f5b66",
        red="#BF616A",
        orange="#D08770",
        green="#A3BE8C",
        blue="#8FA1B3",
        violet="#b48ead",
        teal="#4db5bd",
        yellow="#ECBE7B",
        dark_blue="#2257A0",
        magenta="#c678dd",
        cyan="#46D9FF",
        dark_cyan="#5699AF",
    ),
    "zenburn": Theme(
        bg="#3F3F3F",
        bg_alt="#383838",
        base0="#000000",
        base1="#2B2B2B",
        base2="#303030",
        base3="#383838",
        base4="#494949",
        base5="#4F4F4F",
        base6="#5F5F5F",
        base7="#6F6F6F",
        base8="#FFFFEF",
        fg="#DCDCDC",
        fg_alt="#989890",
        grey="#494949",
        red="#CC9393",
        orange="#DFAF8F",
        green="#7F9F7F",
        teal="#4db5bd",
        yellow="#F0DFAF",
        blue="#8CD0D3",
        dark_blue="#2257A0",
        magenta="#DC8CC3",
        violet="#a9a1e1",
        cyan="#93E0E3",
        dark_cyan="#5699AF",
    ),
    "default": Theme(),
}

current_theme = themes["spacegray"]
default = themes["default"]
